Class RequestParameter

java.lang.Object
org.codelibs.fess.entity.RequestParameter

public class RequestParameter extends Object
Entity class representing a request parameter with a name and associated values. This class encapsulates HTTP request parameters that can have multiple values, such as query parameters, form parameters, or other request-related data.

This class is immutable and thread-safe. Once created, the parameter name and values cannot be modified.

  • Constructor Details

    • RequestParameter

      public RequestParameter(String name, String[] values)
      Constructs a new RequestParameter with the specified name and values.
      Parameters:
      name - the name of the parameter, must not be null
      values - the array of values for this parameter, can be null or empty
  • Method Details

    • getName

      public String getName()
      Returns the name of this request parameter.
      Returns:
      the parameter name
    • getValues

      public String[] getValues()
      Returns the array of values associated with this request parameter.
      Returns:
      the parameter values array, may be null or empty
    • toString

      public String toString()
      Returns a string representation of this RequestParameter. The format includes the parameter name and its values in array format.
      Overrides:
      toString in class Object
      Returns:
      a string representation of this object in the format "[name, [value1, value2, ...]]"